Bug 213024 - Foregrounding an elinks process stalls it
Foregrounding an elinks process stalls it
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 11:33 EST by Marcos Marado
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 17:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcos Marado 2006-10-30 11:33:54 EST
Description of problem: Foregrounding an elinks process stalls it

Version-Release number of selected component (if applicable): elinks-0.11.0-2.2

How reproducible: Allways


Steps to Reproduce:
1. Open an elinks
2. ^Z
3. fg
  
Actual results:
[marado@noori Desktop]$ elinks http://news.google.com

[2]+  Stopped                 elinks http://news.google.com
[marado@noori Desktop]$ fg 2
elinks http://news.google.com

<<< stalls here until I kill the process >>>

Expected results:
getting the elinks window on the foreground.

Additional info:
I've noticed this happening for a long long time, so I not only guess that this
is an upstream problem, but it was not "introduced" in any recent version.
Comment 1 Rudi Chiarito 2006-10-30 12:14:43 EST
if you suspend and bring the process to the foreground again and again,
eventually it will succeed. I can confirm that this has been happening for years.
Comment 2 Karel Zak 2006-11-06 07:21:50 EST
Yeah, this is pretty old bug and upstream knows about it for year :-(

Note You need to log in before you can comment on or make changes to this bug.